Bug 833006 - Error in gcalctool parser, wrong associations with square
Error in gcalctool parser, wrong associations with square
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 836970
  Show dependency treegraph
 
Reported: 2012-06-18 07:36 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 836970 (view as bug list)
Environment:
Last Closed: 2013-07-29 03:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2012-06-18 07:36:41 EDT
Description of problem:
If I do not enter any binary operator, the gcalctool thinks it's only one token entered, that's wrong.

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.fc17.i686

How reproducible:
100%

Steps to Reproduce:
1. 2(-3)^2
2.
3.
  
Actual results:
36

Expected results:
18

Additional info:
-3^2 should give me -9, not 9.. The square is associated from right, it means -3^2 it's the same as -(3)^2, not (-3)^2 as gcalctool pretends. Only way how to reach -9 is to enter -1*3^2 and that's really ugly solution.
Comment 1 Fedora End Of Life 2013-07-03 23:07:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Martin Simon 2013-07-29 03:55:42 EDT
The bug is fixed in gnome-calculator-3.8.2-1.el7.x86_64. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.